Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CGenericXSLT.CState

    java.lang.Object
      org.jasig.portal.channels.CGenericXSLT.CState

Enclosing class:
  CGenericXSLT

    private class CGenericXSLT.CState

extends java.lang.Object

Field Summary
`private long` | `cacheTimeout`
`private LocalConnectionContext` | `localConnContext`
`private java.util.Map` | `params`
`private ChannelRuntimeData` | `runtimeData`
`private java.lang.String` | `sslUri`
`private IUriScrutinizer` | `uriScrutinizer`
`private java.lang.String` | `xmlUri` URI from which this channel will obtain XML to render.
`private java.lang.String` | `xslTitle`
`private java.lang.String` | `xslUri`

Constructor Summary
`CGenericXSLT.CState(IUriScrutinizer uriScrutinizerArg)`

Method Summary
`void` | `setXmlUri(java.lang.String xmlUriArg)` Set the URI or resource-relative-path of the XML this CGenericXSLT should render.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### xmlUri

    private java.lang.String xmlUri

  URI from which this channel will obtain XML to render. Do not set this field directly. Instead call the setter method, which provides argument checking.

### sslUri

    private java.lang.String sslUri

### xslTitle

    private java.lang.String xslTitle

### xslUri

    private java.lang.String xslUri

### params

    private java.util.Map params

### cacheTimeout

    private long cacheTimeout

### runtimeData

    private ChannelRuntimeData runtimeData

### localConnContext

    private LocalConnectionContext localConnContext

### uriScrutinizer

    private final IUriScrutinizer uriScrutinizer

Constructor Detail

### CGenericXSLT.CState

    public CGenericXSLT.CState(IUriScrutinizer uriScrutinizerArg)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setXmlUri

    public void setXmlUri(java.lang.String xmlUriArg)

  Set the URI or resource-relative-path of the XML this CGenericXSLT should render.

  Parameters:
    `xmlUriArg` - URI or local resource path to the XML this channel should render.
  Throws:
    `java.lang.IllegalArgumentException` - if xmlUriArg specifies a missing resource or if the URI has bad syntax
    `BlockedUriException` - if the xmlUriArg is blocked for policy reasons

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD